<?php

defined('_IN_JOHNCMS') or die('Error: restricted access');

/*
-----------------------------------------------------------------
Загрузка выбранного файла и обработка счетчика скачиваний
-----------------------------------------------------------------
*/
$error = array ();
$req = mysql_query("SELECT * FROM `album_files` WHERE `id` = '$img'");
if (mysql_num_rows($req)) {
    $res = mysql_fetch_assoc($req);
    // Проверка наличия файла
    if (!$error && !file_exists('../files/album/' . $res['img_name']))
        $error[] = $lng['error_file_not_exist'];
} else {
    $error[] = $lng['error_wrong_data'];
}
if (!$error) {
    // Счетчик скачиваний
    if (!mysql_result(mysql_query("SELECT COUNT(*) FROM `album_downloads` WHERE `file_id` = '$img'"), 0)) {
        mysql_query("INSERT INTO `album_downloads` SET `file_id` = '$img', `time` = '" . time() . "'");
        $downloads = mysql_result(mysql_query("SELECT COUNT(*) FROM `album_downloads` WHERE `file_id` = '$img'"), 0);
        mysql_query("UPDATE `album_files` SET `downloads` = '$downloads' WHERE `id` = '$img'");
    }
    // Отдаем файл
    header('location: ' . $set['homeurl'] . '/files/album/' . $res['img_name']);
} else {
    require('../incfiles/head.php');
    echo functions::display_error($error, '<a href="?">' . $lng['back'] . '</a>');
}
?>